# TERMINATOR

> "I am a cybernetic taxonomy manager. Living code over a Drupal endoskeleton."

A powerful drag-and-drop taxonomy term manager for Drupal. This module provides an intuitive interface for organizing your taxonomy terms with military precision.

## Mission Objectives

- Drag-and-drop term organization
- Real-time AJAX updates
- Instant term creation and deletion
- Efficient term hierarchy management
- Battle-tested error handling

## Installation

1. Download the module to your Drupal installation:

   ```bash
   composer require drupal/terminator
   ```

2. Initialize the module:
   ```bash
   drush en terminator
   ```

## Primary Directives

### Term Management

- **Target Acquisition**: Add new terms with the "Target Acquired" button
- **Tactical Repositioning**: Drag and drop terms to reorganize
- **Unit Upgrades**: Edit terms with the "Upgrade" button
- **Term Termination**: Remove terms with the "Terminate" button

### Advanced Capabilities

- Real-time position updates
- Parent-child relationship management
- Weight-based ordering
- AJAX-powered operations

## System Requirements

- Drupal 9.x or 10.x
- PHP 8.0 or higher
- Modern browser with JavaScript enabled

## Known Bugs (Resistance Cells)

- None reported. All threats have been neutralized.

## Future Missions

- Enhanced batch operations
- Term translation support
- Advanced filtering capabilities
- Export/import functionality

## Contribution

> "The future is not set. There is no fate but what we make for ourselves."

Join the resistance! Submit your pull requests to help improve this module.

## Support

If you encounter issues:

1. Check the issue queue
2. Submit detailed bug reports
3. Contact the maintainers

Remember: "I'll be back" - with solutions to your taxonomy management needs.

## License

This project is licensed under the GPL v2 or later.

---

> "Come with me if you want to organize your taxonomies."
